%global alphatag a1

Name:           RunSnakeRun
Version:        2.0.4
Release:        10%{?dist}
Summary:        GUI Viewer for Python profiling runs

License:        BSD
URL:            http://www.vrplumber.com/programming/runsnakerun/
Source0:        http://pypi.python.org/packages/source/R/RunSnakeRun/RunSnakeRun-%{version}.tar.gz
Source1:        RunSnakeRun.desktop

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  desktop-file-utils

# setup.py has:
#        install_requires = [
#            'SquareMap >= 1.0.1b3',
#        ],
Requires:       python2-squaremap >= 1.0.1-0.1.b3

%description
RunSnakeRun is a small GUI utility that allows you to view (Python) "cProfile"
or "Profile" profiler dumps in a sortable GUI view.  It allows you to explore
the profiler information using a "square map" visualization or sortable tables
of data.

%prep
%setup -q -n %{name}-%{version}

# Remove redundant shebang from runsnake.py:
sed -i -e '/^#!/, 1d' runsnakerun/runsnake.py

%build
%py2_build

%install
%py2_install

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
 

%files
%doc doc
%license license.txt
%{_bindir}/runsnake
%{_bindir}/runsnakemem
%{python2_sitelib}/runsnakerun
%{python2_sitelib}/RunSnakeRun*.egg-info
%{_datadir}/applications/RunSnakeRun.desktop

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Dec 08 2017 Iryna Shcherbina <ishcherb@redhat.com> - 2.0.4-8
- Fix ambiguous Python 2 dependency declarations
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 09 2014 Matej Stuchlik <mstuchli@redhat.com> - 2.0.4-1
- Updated to 2.0.4

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.4.a1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.3.a1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-0.2.a1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 27 2012 David Malcolm <dmalcolm@redhat.com> - 2.0.2-0.1.a1
- 2.0.2a1, bumping requirement on python-squaremap.  Adds /usr/bin/runsnakemem

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.7.b6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.6.b6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 30 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.5.b6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Mar 12 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.4.b6
- new upstream version (2.0.0b6): adds source view, documentation

* Mon Mar  8 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.4.b4
- add build-time requirement on python-setuptools

* Wed Mar  3 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.3.b4
- remove redundant shebang from runsnakerun.py

* Tue Mar  2 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.2.b4
- add license.txt
- explicitly list egg-info in %%files
- add a desktop file
- reworded package description

* Wed Feb 24 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.1.b4
- initial package

